## xdp-tools 1.2.6

=== debian/changelog ===
xdp-tools (1.2.6-2) unstable; urgency=medium

  * Do not build-depend on gcc-multilib and instead export
    -I/usr/include/<multiarch> for asm/types.h
  * Export __MIPSEL__=1 to Clang on mipsel*

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Aug 2022 16:17:21 +0100

xdp-tools (1.2.6-1) unstable; urgency=medium

  * Do not depend on gcc-multilib on architectures where it's not
    available
  * d/copyright: rearrange stanzas
  * Update upstream source from tag 'upstream/1.2.6'
  * Drop patches, all merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Aug 2022 02:55:59 +0100

xdp-tools (1.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1015880)

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Jul 2022 22:45:17 +0100
