=== debian/watch ===
version=4
https://github.com/xdp-project/xdp-tools/releases .*/v\d.+/xdp-tools-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
