## xdp-tools 1.2.8

=== debian/changelog ===
xdp-tools (1.2.8-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Restructure for upstream tracking

 -- Yep, Mun Chun <mun.chun.yep@intel.com>  Fri, 24 Oct 2025 20:13:37 +0800

xdp-tools (1.2.8-1ppa1~noble2) noble; urgency=medium

  * debian/control: Update libbpf-dev build dependencies

 -- Tan Khai Wen <khai.wen.tan@intel.com> Mon, 27 Oct 2024 12:00:17 +0800

xdp-tools (1.2.8-1ppa1~noble1) noble; urgency=medium

  * build for ubuntu 24.04 

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 24 Apr 2024 15:17:33 +0800

xdp-tools (1.2.8-1ppa1~jammy1) jammy; urgency=medium

  * Initial release 1.2.8 for Ubuntu Jammy.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 08 Nov 2023 12:47:52 +0800
