## xdp-tools 1.2.9

=== debian/changelog ===
xdp-tools (1.2.9-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * libxdp-dev: depend on libbpf-dev for pkgconfig's Requires.private

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Jan 2023 10:29:31 +0000

xdp-tools (1.2.9-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.9'

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Dec 2022 23:17:25 +0000

xdp-tools (1.2.8-1) unstable; urgency=medium

  * d/watch: use api.github.com
  * Update upstream source from tag 'upstream/1.2.8'

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Nov 2022 00:21:06 +0000
