=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Rules-Requires-Root: no
 Build-Depends: clang,
                debhelper-compat (= 13),
-               libbpf-dev (>= 0.7.0-1ppa1~noble1),
+               libbpf-dev,
                libelf-dev,
                libpcap-dev,
                llvm,
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/xdp-project/xdp-tools
 Vcs-Browser: https://salsa.debian.org/debian/xdp-tools
 Vcs-Git: https://salsa.debian.org/debian/xdp-tools.git
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libxdp1 (= ${binary:Version}), ${misc:Depends},
+Depends: libxdp1 (= ${binary:Version}), ${misc:Depends}, libbpf-dev,
 Description: library and utilities for use with XDP - development files
  Library for working with the eXpress Data Path facility of the Linux kernel,
  and a collection of utilities and example code that uses the library.
