## xdp-tools 1.3.0

=== debian/changelog ===
xdp-tools (1.3.0-2ubuntu2) lunar; urgency=medium

  * d/p/lp-2008214-ppc64le-build-failure.patch: Resolve FTBFS for ppc64le on
    Ubuntu (LP: #2008214).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 23 Feb 2023 14:02:56 +0100

xdp-tools (1.3.0-2ubuntu1) lunar; urgency=medium

  * Resolve FTBFS on Ubuntu (LP: #2007308):
    - d/control: Change build dep for bpftool on Ubuntu.
    - d/rules: Conditionally set BPFTOOL variable for build on Ubuntu.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 22 Feb 2023 15:12:51 +0000

xdp-tools (1.3.0-2) unstable; urgency=medium

  * Add patch to fix build on arm/mips

 -- Luca Boccassi <bluca@debian.org>  Sun, 12 Feb 2023 13:47:23 +0000

xdp-tools (1.3.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.3.0'
  * Add build dependency on bpftool
  * Install new tools
  * Update symbols file
  * Drop unused Lintian override

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Feb 2023 12:29:26 +0000
