=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: xdp-tools
 Section: devel
 Priority: optional
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
 Rules-Requires-Root: no
 Build-Depends: clang,
                debhelper-compat (= 13),
                libbpf-dev,
                libelf-dev,
                libpcap-dev,
+               linux-tools-generic,
                llvm,
                pkg-config,
                zlib1g-dev,
