=== debian/changelog ===
xdp-tools (1.3.1-1) unstable; urgency=medium

  * Revert "d/control: Add conditional build dep to allow building on
    Ubuntu."
  * Update upstream source from tag 'upstream/1.3.1'
  * Drop libm.patch, merged upstream
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Feb 2023 19:59:15 +0000

xdp-tools (1.3.0-3~exp1) experimental; urgency=medium

  [ Frode Nordahl ]
  * d/control: Add conditional build dep to allow building on Ubuntu.
  * d/rules: Conditionally set BPFTOOL variable for build.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Feb 2023 15:58:46 +0000
