=== lib/libxdp/tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
 
-USER_TARGETS := test_xsk_refcnt check_kern_compat test_xdp_frags test_dispatcher_versions
+USER_TARGETS := test_xsk_refcnt check_kern_compat test_xdp_frags test_dispatcher_versions test_link_detach
 BPF_TARGETS := xdp_dispatcher_v1 xdp_pass
 USER_LIBS := -lpthread
 
@@ -10,14 +10,20 @@
 TEST_FILE := ./test-libxdp.sh
 TEST_RUNNER := ./test_runner.sh
 
-USER_C := ${USER_TARGETS:=.c}
-USER_OBJ := ${USER_C:.c=.o}
-BPF_OBJS := $(BPF_TARGETS:=.o)
-
 LIB_DIR := ../..
 LDLIBS += $(USER_LIBS)
 
 include $(LIB_DIR)/defines.mk
+
+ifeq ($(HAVE_CAP_NG),y)
+	USER_TARGETS += test_xsk_non_privileged
+	CFLAGS += $(CAP_NG_CFLAGS)
+	LDLIBS += $(CAP_NG_LDLIBS)
+endif
+
+USER_C := ${USER_TARGETS:=.c}
+USER_OBJ := ${USER_C:.c=.o}
+BPF_OBJS := $(BPF_TARGETS:=.o)
 
 LDFLAGS+=-L$(LIBXDP_DIR)
 ifeq ($(DYNAMIC_LIBXDP),1)
