=== debian/changelog ===
xdp-tools (1.4.2-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:46:20 +1100

xdp-tools (1.4.2-1ubuntu3) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:05:04 +0100

xdp-tools (1.4.2-1ubuntu2) noble; urgency=medium

  * d/rules: fix bpftool detection (LP: #2054095)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 16 Feb 2024 13:20:28 +0100

xdp-tools (1.4.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Change build dep for bpftool on Ubuntu

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Feb 2024 16:59:02 +0100

xdp-tools (1.4.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.4.2'

 -- Luca Boccassi <bluca@debian.org>  Mon, 05 Feb 2024 21:38:35 +0000

xdp-tools (1.4.0-1) unstable; urgency=medium

  * Enable ELF metadata stamping
  * d//rules: Fix discovery of real bpftool binary for Ubuntu
  * Update upstream source from tag 'upstream/1.4.0'
  * Add new symbols for 1.4.0

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Jul 2023 16:10:01 +0100
