=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: clang,
                debhelper-compat (= 13),
+               dh-package-notes,
                libbpf-dev,
                libelf-dev,
                libpcap-dev,
