=== debian/changelog ===
xdp-tools (1.4.3-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Change build dep for bpftool on Ubuntu

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 27 Dec 2024 12:04:15 +0000

xdp-tools (1.4.3-2) unstable; urgency=medium

  * autopkgtest: add mount to the list of dependencies
  * autopkgtest: add allow-stderr to restrictions

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 Dec 2024 07:57:57 +0000

xdp-tools (1.4.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Change build dep for bpftool on Ubuntu
  * Drop Changes:
    - d/rules: fix bpftool detection (LP: #2054095)
      [Fixed in: 1.4.3-1]

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 17 Oct 2024 22:09:06 +0100

xdp-tools (1.4.3-1) unstable; urgency=medium

  * d/rules: fix bpftool detection in Ubuntu
  * d/rules: simply bpftool lookup in Ubuntu
  * Update upstream source from tag 'upstream/1.4.3' (Closes: #1046253,
    #1068532)
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Switch to pkgconf

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Aug 2024 11:04:36 +0100
