=== debian/changelog ===
xdp-tools (1.5.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Change build dep for bpftool on Ubuntu

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 15 Jan 2025 20:44:38 +0000

xdp-tools (1.5.0-2) unstable; urgency=medium

  * d/t/control: add socat dependency for new tests
  * Backport patch to fix autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Jan 2025 22:38:59 +0000

xdp-tools (1.5.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.0'
  * Install new xdp-forward tool
  * Update symbols file for 1.5.0
  * Patch makefile to fix blhc warnings

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Jan 2025 10:28:53 +0000
