=== debian/changelog ===
xdp-tools (1.5.1-1ubuntu2) plucky; urgency=medium

  * d/p/lp-2098005-*-Fix-incorrect-setsockopt-xdp_umem_reg-size.patch
    (LP: #2098005).
  * d/rules: Workaround for FTBFS caused by change in behavior in LLVM
    toolchain (LP: #2103416).
  * d/control: Use bpftool as dependency directly now that it has moved
    to a separate binary package (LP: #2007308).
  * d/xdp-tools.install.riscv64: Skip binaries missing due to no bpftool
    on riscv64 (LP: #2106091).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 03 Apr 2025 05:33:23 +0000

xdp-tools (1.5.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Change build dep for bpftool on Ubuntu
  * New Changes:
    - Use 'find -L' to find bpftool from symlinks.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 07 Feb 2025 18:36:43 +0000

xdp-tools (1.5.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.1'
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 18 Jan 2025 02:29:30 +0000
