=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
 Rules-Requires-Root: no
 Build-Depends: clang,
+               bpftool [!riscv64],
                debhelper-compat (= 13),
                dh-package-notes,
                libbpf-dev,
                libelf-dev,
                libpcap-dev,
-               linux-tools-generic,
                llvm,
-               pkg-config,
+               pkgconf,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/xdp-project/xdp-tools
 Vcs-Browser: https://salsa.debian.org/debian/xdp-tools
 Vcs-Git: https://salsa.debian.org/debian/xdp-tools.git
