=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export PRODUCTION=1
 # For asm/types.h
 export BPF_CFLAGS=-Wno-visibility -I/usr/include/$(DEB_HOST_MULTIARCH)
+# Workaround for LP: #2103416
+export BPF_CFLAGS+=-Wno-unused-command-line-argument
 ifneq (,$(filter $(DEB_HOST_MULTIARCH), mips64el-linux-gnuabi64 mipsel-linux-gnu))
 export BPF_CFLAGS+= -D__MIPSEL__=1
 endif
@@ -28,20 +30,12 @@
 # even match anything available to the build.
 # Gladly for the build we only need the tool to generate skeleton code.
 #
-# If any /usr/lib/linux-tools-*/bpftool exists, locate the most recent
+# If any /usr/lib/linux-tools/*/bpftool exists, locate the most recent
 # version and point to that, otherwise `bpftool` from PATH will be
 # used.
-find_bpftool_binary = \
-	for _bpftool in $$(ls -r /usr/lib/linux-tools/*/bpftool 2>/dev/null); \
-		do \
-			if [ -x "$$_bpftool" ]; then \
-				echo $$_bpftool; \
-				break; \
-			fi;\
-		done
-
-ifneq ($(shell $(find_bpftool_binary)),)
-export BPFTOOL=$(shell $(find_bpftool_binary))
+bpftool_binary := $(shell find -L /usr/lib/linux-tools/ -name 'bpftool' -perm /u=x 2>/dev/null | sort | head -n1)
+ifneq ($(bpftool_binary),)
+export BPFTOOL=$(bpftool_binary)
 endif
 
 %:
