## xdp-tools 1.5.2

=== debian/changelog ===
xdp-tools (1.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/1.5.2'

  [ Sudip Mukherjee ]
  * d/rules: Use 'find -L' to find bpftool from symlinks in Ubuntu.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 19 Feb 2025 12:39:58 +0000
