=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 export PRODUCTION=1
 # For asm/types.h
 export BPF_CFLAGS=-Wno-visibility -I/usr/include/$(DEB_HOST_MULTIARCH)
-# Workaround for LP: #2103416
-export BPF_CFLAGS+=-Wno-unused-command-line-argument
 ifneq (,$(filter $(DEB_HOST_MULTIARCH), mips64el-linux-gnuabi64 mipsel-linux-gnu))
 export BPF_CFLAGS+= -D__MIPSEL__=1
 endif
