## xdp-tools 1.5.3

=== debian/changelog ===
xdp-tools (1.5.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set minimum bpftool build dependency version.
  * d/rules: Drop Ubuntu specific workaround for bpftool.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 17 Mar 2025 11:04:16 +0000

xdp-tools (1.5.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.3'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Mar 2025 12:26:10 +0000
