=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xdp-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Luca Boccassi <bluca@debian.org>
 Rules-Requires-Root: no
-Build-Depends: clang,
-               bpftool [!riscv64],
+Build-Depends: bpftool (>= 7.5.0~),
+               clang,
                debhelper-compat (= 13),
                dh-package-notes,
                libbpf-dev,
