## xdp-tools 1.5.4

=== debian/changelog ===
xdp-tools (1.5.4-1) unstable; urgency=medium

  [ Frode Nordahl ]
  * d/rules: add workaround for clang 20 issue

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/1.5.4'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Wed, 30 Apr 2025 10:49:11 +0100
