## xdp-tools 1.5.5

=== debian/changelog ===
xdp-tools (1.5.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.5'

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:42:04 +0100
