=== debian/changelog ===
xdp-tools (1.5.6-1~cloud0) noble-flamingo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 08:09:24 +0000

xdp-tools (1.5.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.6'

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Aug 2025 11:27:47 +0100
