=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Rules-Requires-Root: no
-Build-Depends: bpftool (>= 7.5.0~),
-               clang,
+Build-Depends: clang,
                debhelper-compat (= 13),
                dh-package-notes,
                libbpf-dev,
                libelf-dev,
                libpcap-dev,
+               linux-tools-generic,
                llvm,
                pkgconf,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/xdp-project/xdp-tools
 Vcs-Browser: https://salsa.debian.org/debian/xdp-tools
 Vcs-Git: https://salsa.debian.org/debian/xdp-tools.git
